var Preloader = function (game) {
  this.asset = null;
  this.ready = false;
};

module.exports = Preloader;

Preloader.prototype = {

  preload: function () {


  // TILES
  // -------------

    //this.game.load.spritesheet('lvl1_tiles', 'assets/level/tiles2.png', 16, 16, 800);

    //this.game.load.image('lvl2_tiles', 'assets/img/color-palette.png');
    this.game.load.image('tiles_level1', 'assets/level/tiles2.png');


  // PLAYER
      this.game.load.spritesheet('anim_player', 'assets/img/player.png', 32, 16, 3);
      this.game.load.spritesheet('anim_badppl', 'assets/img/badppl.png', 30, 24, 2);

  // BULLETS
      this.game.load.image('smilee', 'assets/img/smilee-orange.png');
      this.game.load.image('bullet', 'assets/img/bullet.png');


  // EFFECTS
      this.load.image('scanlines', 'assets/img/scanlines2.png');


  // SOUNDS
      this.game.load.audio(
          'snd_smilee', [
          'assets/audio/smilees.wav']);
      this.game.load.audio(
          'snd_shot', [
          'assets/audio/shot.wav']);
      this.game.load.audio(
          'snd_walking', [
              'assets/audio/walking.wav']);
      this.game.load.audio(
          'snd_grunt', [
              'assets/audio/grunt.wav']);


  // DEFAULT
  // -----------

    this.asset = this.add.sprite(320, 240, 'preloader');
    this.asset.anchor.setTo(0.5, 0.5);

    this.load.onLoadComplete.addOnce(this.onLoadComplete, this);
    this.load.setPreloadSprite(this.asset);
    this.load.image('testsprite', 'assets/test.png');




  },

  create: function () {
    this.asset.cropEnabled = false;
  },

  update: function () {
    if (!!this.ready) {
      this.game.state.start('Menu');
    }
  },

  onLoadComplete: function () {
    this.ready = true;
  }
};
